import Layout from '@/page/index/'

export default [{
    path: '/wel',
    component: Layout,
    redirect: '/wel/index',
    children: [{
            path: '/certificate/list',
            name: '电签列表',
            meta: {
                i18n: 'ElectricSignaturelist'
            },
            children: [{
                path: '/certificate/list/addList',
                name: '新增电签',
                meta: {
                    i18n: 'ElectricSignaturelist'
                },
                component: () =>
                    import ( /* webpackChunkName: "views" */ '@/views/certificate/lists/addList')
            }, ],
            component: () =>
                import ( /* webpackChunkName: "views" */ '@/views/certificate/list')
        },
        {
            path: '/certificate/management',
            name: '电签管理',
            meta: {
                i18n: 'ElectricitySignManagement'
            },
            component: () =>
                import ( /* webpackChunkName: "views" */ '@/views/certificate/management')
        },
        {
            path: 'index',
            name: '首页',
            meta: {
                i18n: 'dashboard'
            },
            component: () =>
                import ( /* webpackChunkName: "views" */ '@/views/wel/index')
        },
        {
            path: 'dashboard',
            name: '控制台',
            meta: {
                i18n: 'dashboard',
                menu: false,
            },
            component: () =>
                import ( /* webpackChunkName: "views" */ '@/views/wel/dashboard')
        }
    ]
}, {
    path: '/test',
    component: Layout,
    redirect: '/test/index',
    children: [{
        path: 'index',
        name: '测试页',
        meta: {
            i18n: 'test'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/util/test')
    }]
}, {
    path: '/dict-horizontal',
    component: Layout,
    redirect: '/dict-horizontal/index',
    children: [{
        path: 'index',
        name: '字典管理',
        meta: {
            i18n: 'dict'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/util/demo/dict-horizontal')
    }]
}, {
    path: '/dict-vertical',
    component: Layout,
    redirect: '/dict-vertical/index',
    children: [{
        path: 'index',
        name: '字典管理',
        meta: {
            i18n: 'dict'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/util/demo/dict-vertical')
    }]
}, {
    path: '/info',
    component: Layout,
    redirect: '/info/index',
    children: [{
        path: 'index',
        name: '个人信息',
        meta: {
            i18n: 'info'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/system/userinfo')
    }]
}, {
    path: '/work/process/leave',
    component: Layout,
    redirect: '/work/process/leave/form',
    children: [{
        path: 'form/:processDefinitionId',
        name: '请假流程',
        meta: {
            i18n: 'work'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/work/process/leave/form')
    }, {
        path: 'handle/:taskId/:processInstanceId/:businessId',
        name: '处理请假流程',
        meta: {
            i18n: 'work'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/work/process/leave/handle')
    }, {
        path: 'detail/:processInstanceId/:businessId',
        name: '请假流程详情',
        meta: {
            i18n: 'work'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/work/process/leave/detail')
    }]
}, {
    path: '/wbs',
    component: Layout,
    redirect: '/wbs/edit',
    children: [{
        path: 'edit/:id',
        name: '编辑WBS树',
        meta: {
            i18n: 'edit'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/manager/wbsinfo/edit')
    }]
}, {
    path: '/contract',
    component: Layout,
    redirect: '/contract/detail',
    children: [{
        path: 'detail',
        name: '创建合同段',
        meta: {
            i18n: 'edit'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/manager/contractinfo/detail')
    }]
}, {
    path: '/excel',
    component: Layout,
    redirect: '/excel/excelmodel',
    children: [{
        path: 'excelmodel/:id',
        name: '清表模板',
        meta: {
            i18n: 'excelmodel'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/exctab/excelmodel/excelmodel')
    }]
}, {
    path: '/project',
    component: Layout,
    redirect: '/project/tree',
    children: [{
            path: 'tree',
            name: '私有WBS',
            meta: {
                i18n: 'privateTree'
            },
            component: () =>
                import ( /* webpackChunkName: "views" */ '@/views/manager/projectinfo/tree')
        },
        {
            path: 'editElement',
            name: '编辑元素',
            meta: {
                i18n: 'editElement'
            },
            component: () =>
                import ( /* webpackChunkName: "views" */ '@/views/manager/projectinfo/editElement/editElement')
        }
    ]
}, {
    path: '/formula',
    component: Layout,
    redirect: '/formula/edit',
    children: [{
        path: 'edit',
        name: '编辑公式',
        meta: {
            i18n: 'formula'
        },
        component: () =>
            import ( /* webpackChunkName: "views" */ '@/views/formula/edit')
    }]
}, ]